Subject: Re: [PATCH 0/5] activate diff.renames by default

From: Matthieu Moy <[email-masked]>
Date: Tue, 23 Feb 2016 21:46:07 +0100

Junio C Hamano <[email-masked]> writes:

> Matthieu Moy <[email-masked]> writes:
>
>> I have always wondered why diff.renames was not activated by default.
>> I've had it to true in my configuration for 9 years, and I've been
>> teaching newbies to set it for a while without issue. I think it's
>> time to activate it by default, but please let me know if I missed a
>> reason to keep it to false.
>>
>> In any case, the first 3 patches are useful cleanups.
>
> It's a long time coming since I heard "I love how I can just say
> 'oh, keep in mind that we might want to..' and 24 hours later you
> did it." [*1*]
>
> I can hardly be an impartial judge for this series, though.
>
> [Reference]
>
> *1* http://thread.gmane.org/gmane.comp.version-control.git/3541/focus=3702

I guess there's another reference needed to fully understand your
message, and I'm not sure I have it right. Are you refering to the
"merge-recursive: test rename threshold option" discussion?

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/